diff --git a/i18n/zh_CN/pgadmin3.po b/i18n/zh_CN/pgadmin3.po
index 18771ed..4f99ae4 100644
--- a/i18n/zh_CN/pgadmin3.po
+++ b/i18n/zh_CN/pgadmin3.po
@@ -12706,8 +12706,8 @@ msgid "Schema"
 msgstr "模式"
 
 #: pgadmin/frm/frmRestore.cpp:635
-msgid "Schema node not found for object "
-msgstr "没有找到对象的模式节点 "
+#msgid "Schema node not found for object "
+#msgstr "没有找到对象的模式节点 "
 
 # standard
 #: src/schema/pgDatabase.cpp:422 standard input:78
diff --git a/pgadmin/frm/frmRestore.cpp b/pgadmin/frm/frmRestore.cpp
index f81b1ea..eaed2db 100644
--- a/pgadmin/frm/frmRestore.cpp
+++ b/pgadmin/frm/frmRestore.cpp
@@ -510,6 +510,10 @@ void frmRestore::OnEndProcess(wxProcessEvent &ev)
 			// Read the next line
 			str = line.GetNextToken();
 
+			// If this is the last line, it contains process information - skip it!
+			if (!line.HasMoreTokens())
+				continue;
+
 			// Skip the few lines of comments
 			if (str.Left(1) == wxT(";") || str.Left(1) == wxT("P"))
 				continue;
